bcr_test_module:
  module_path: "e2e/smoke"
  matrix:
    bazel: ["6.x", "7.x"]
    # TODO(#97): add windows
    platform: ["debian10", "ubuntu2004"]
  tasks:
    test_linux:
      name: "Run test module"
      bazel: ${{ bazel }}
      platform: ${{ platform }}
      test_targets:
        - "//..."
    test_macos:
      name: "Run test module"
      bazel: ${{ bazel }}
      platform: macos
      test_targets:
        - "//..."
        # This test requires a docker daemon, not available on BCR CI
        - "-//:test"
        - "-//:docker_created"
        - "-//:test_created"
